Gradle

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Update module metadata specification

Refine EditorReportsBuilder

by extracting explaining functions

Signed-off-by: Paul Merlin <paul@gradle.com>

Collect a separate selection reason for each rule application

Simplify detection of errors not coming from the current script

Signed-off-by: Paul Merlin <paul@gradle.com>

Fix mapping to IDE editor line number

Signed-off-by: Paul Merlin <paul@gradle.com>

Disable editor syntax highlighting on unrecoverable failure

and report an error if able to reuse previous dependencies

Signed-off-by: Paul Merlin <paul@gradle.com>

Let editor messages be actionable

Signed-off-by: Paul Merlin <paul@gradle.com>

Move editor messages out of tooling-models

Signed-off-by: Paul Merlin <paul@gradle.com>

Better message on location aware ide reports when cause has no message

Signed-off-by: Paul Merlin <paul@gradle.com>

Add kotlin-eap repository for Kotlin 1.3.0-rc-57

Report file error on runtime failure in current script on out of range line number

See https://youtrack.jetbrains.com/issue/KT-9766

Signed-off-by: Paul Merlin <paul@gradle.com>

Report line error on runtime failure in currently edited script

if location aware

Signed-off-by: Paul Merlin <paul@gradle.com>

Do not report failures from currently edited script to the editor

because the IDE already provides user feedback for those.

Signed-off-by: Paul Merlin <paul@gradle.com>

Upgrade Kotlin DSL to 1.0-rc-8

Toward 1.0

Prepare 1.0-rc-8

Prepare 1.0-rc-7 release

Migrate off of experimental coroutines API

Prove precompiled script plugins can use Kotlin 1.3 language features

Update wrappers to latest snapshot distro

    • -1
    • +1
    /gradle/wrapper/gradle-wrapper.properties
  1. … 24 more files in changeset.
Merge pull request #1132 from gradle/bamboo/bump-script-language-level-to-1.3

Bump script language level to 1.3

Merge branch 'develop' into bamboo/bump-script-language-level-to-1.3

Change test expectation to account for different environments

Depending on the running JVM the Kotlin compiler might log the

loading of modules or not.

```

Loading modules: [java.se, javafx.base, ...]

```

Bump script language level to 1.3

Suppress warnings in generated extensions

Let the editor warning suggest running 'gradle tasks'

Signed-off-by: Paul Merlin <paul@gradle.com>

Move warning calculation to the tooling model builder

Signed-off-by: Paul Merlin <paul@gradle.com>

Let test report better assertion errors

Signed-off-by: Paul Merlin <paul@gradle.com>

Simplify warning message

Signed-off-by: Paul Merlin <paul@gradle.com>

Get rid of XML parsing in DistributedPerformanceTest (#6848)

We use JSON instaed of XML in DistributedPerformanceTest to avoid XML hell.